TypeScript
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.provisioning.scimTokens.get("idp_id", "idp_scim_token_id");
}
main();
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.provisioning.scimTokens.get("idp_id", "idp_scim_token_id");
}
main();
package example
import (
context "context"
client "github.com/auth0/myorganization-go/v2/client"
option "github.com/auth0/myorganization-go/v2/option"
)
func do() {
c, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
c.Organization.IdentityProviders.Provisioning.SCIMTokens.Get(
context.TODO(),
"idp_id",
"idp_scim_token_id",
)
}
using Auth0.MyOrganizationApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new MyOrganizationClient(new MyOrganizationClientOptions
{
Domain = "{YOUR_DOMAIN}",
TokenProvider = new DelegateTokenProvider(_ => Task.FromResult("<token>"))
});
await client.Organization.IdentityProviders.Provisioning.ScimTokens.GetAsync(
"idp_id",
"idp_scim_token_id"
);
}
}
package com.example.usage;
import com.auth0.client.myorganization.auth.MyOrganizationClient;
public class Example {
public static void main(String[] args) {
MyOrganizationClient client = MyOrganizationClient
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organization().identityProviders().provisioning().scimTokens().get("idp_id", "idp_scim_token_id");
}
}from auth0.myorganization import MyOrganizationClient
client = MyOrganizationClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organization.identity_providers.provisioning.scim_tokens.get(
idp_id="idp_id",
idp_scim_token_id="idp_scim_token_id",
)
curl --request GET \
--url https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning/scim-tokens/{idp_scim_token_id} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning/scim-tokens/{idp_scim_token_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning/scim-tokens/{idp_scim_token_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"token_id": "tok_tuz8H9hWQ8LaCkdh",
"scopes": [],
"created_at": "2025-04-11T20:11:45.431Z",
"valid_until": "2025-04-11T20:26:45.431Z"
}Get a Provisioning SCIM token
Retrieve the metadata of a SCIM token specified by token ID for the Provisioning Configuration of an Identity Provider specified by ID for this Organization. The token value is never returned.
GET
/
identity-providers
/
{idp_id}
/
provisioning
/
scim-tokens
/
{idp_scim_token_id}
TypeScript
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.provisioning.scimTokens.get("idp_id", "idp_scim_token_id");
}
main();
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.provisioning.scimTokens.get("idp_id", "idp_scim_token_id");
}
main();
package example
import (
context "context"
client "github.com/auth0/myorganization-go/v2/client"
option "github.com/auth0/myorganization-go/v2/option"
)
func do() {
c, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
c.Organization.IdentityProviders.Provisioning.SCIMTokens.Get(
context.TODO(),
"idp_id",
"idp_scim_token_id",
)
}
using Auth0.MyOrganizationApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new MyOrganizationClient(new MyOrganizationClientOptions
{
Domain = "{YOUR_DOMAIN}",
TokenProvider = new DelegateTokenProvider(_ => Task.FromResult("<token>"))
});
await client.Organization.IdentityProviders.Provisioning.ScimTokens.GetAsync(
"idp_id",
"idp_scim_token_id"
);
}
}
package com.example.usage;
import com.auth0.client.myorganization.auth.MyOrganizationClient;
public class Example {
public static void main(String[] args) {
MyOrganizationClient client = MyOrganizationClient
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organization().identityProviders().provisioning().scimTokens().get("idp_id", "idp_scim_token_id");
}
}from auth0.myorganization import MyOrganizationClient
client = MyOrganizationClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organization.identity_providers.provisioning.scim_tokens.get(
idp_id="idp_id",
idp_scim_token_id="idp_scim_token_id",
)
curl --request GET \
--url https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning/scim-tokens/{idp_scim_token_id} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning/scim-tokens/{idp_scim_token_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning/scim-tokens/{idp_scim_token_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"token_id": "tok_tuz8H9hWQ8LaCkdh",
"scopes": [],
"created_at": "2025-04-11T20:11:45.431Z",
"valid_until": "2025-04-11T20:26:45.431Z"
}Authorizations
OAuth2ClientCredentialsOAuth2AuthCode
The access token received from the authorization server in the OAuth 2.0 flow.
Scopes
List the provisioning SCIM tokens for this identity provider
List the provisioning SCIM tokens for this identity provider
Path Parameters
Identity provider identifier.
Pattern:
^con_[A-Za-z0-9]{16}$Identity provider Scim Provisioning Token identifier.
Pattern:
^tok_[A-Za-z0-9]{16}$Response
Provisioning SCIM token metadata successfully retrieved.